DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageGetStride

Read the stride array

## SYNOPSIS

dip_Error dip_ImageGetStride( image, &stride, resources )

## FUNCTION

Read the `dip_Image` stride array. The array that is used to return the dimensions in, is allocated by this routine using `IntegerArrayNew`. The proper time to call this function is right after `ImageGetData`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | An image
`dip_IntegerArray *` | `stride` | Returns the stride array
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

The image structure

`ImageGetData`, `ImageGetPlane`